--剧情回顾
Lua_GuideLockWindow = class("Lua_GuideLockWindow", Lua_Window);
function Lua_GuideLockWindow:ctor()
    self:superCall("ctor");
    self.isClickClose = true;
    self.showBlackMask = true;
    self.showCloseText = true;
    self.closeTextPosY = -665;
    self.layer = MainWinDefine.MAX_TOP_LAYER;
    self.windowName = "Lua_GuideLockWindow";
    self.skinName="GuideLockWindow_skin";
end

function Lua_GuideLockWindow:buildShowItem()
    self:superCall("buildShowItem");
    self.contentList = Lua_DragContainer.new(self.content, 678, 1116, Lua_AxisDefine.Vertical);
	self.contentList:setCellSpacing(10, 20);
	self.contentList:setLocation(0, -30, 0);
end

function Lua_GuideLockWindow:showWin(param)
    self:superCall("showWin",param);
	for i = 1, param:getSize() do
		self.contentList:addSubContainer(Lua_GuideLockItem, param[i], false, 0);
	end
	self.contentList:updateChildPos();
end

function Lua_GuideLockWindow:dispose()
    self:superCall("dispose");
end




















Lua_GuideLockItem = class("Lua_GuideLockItem", Lua_DragContainerItem);
function Lua_GuideLockItem:ctor(p)
	self:superCall("ctor", p, "GuideLockCell_skin");
end

function Lua_GuideLockItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_GuideLockItem:setData(data)
	self.name.text = data.name;
	self.des.text = data.des;
	self.des:resetSize();
	self.bg:SetDimensions(678, 38 + self.des.height);
end

function Lua_GuideLockItem:getWidth()
    return 678;
end

function Lua_GuideLockItem:getHeight()
    return 38 + self.des.height;
end